package com.tuoheng.admin.conver;

import com.tuoheng.admin.entity.domain.Warning;
import com.tuoheng.admin.entity.vo.warning.WarningListVo;
import com.tuoheng.admin.entity.vo.warning.WarningVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface WarningConverMapper {

    WarningConverMapper INSTANCE = Mappers.getMapper(WarningConverMapper.class);

    List<WarningListVo> fromWarningListToWarningListVoList(List<Warning> warningList);

    WarningVo fromWarningToWarningVo(Warning warning);
}
